__ATA_CHANGE_QUEUE_D(9)

NAME
__ata_change_queue_depth - helper for ata_scsi_change_queue_depth

SYNOPSIS

int __ata_change_queue_depth(struct ata_port * ap, struct scsi_device * sdev, int queue_depth);

ARGUMENTS

ap
    ATA port to which the device change the queue depth

sdev
    SCSI device to configure queue depth for

queue_depth
    new queue depth

DESCRIPTION

libsas and libata have different approaches for associating a sdev to its ata_port.

AUTHOR

Jeff Garzik
    Author.

COPYRIGHT